> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# allBorrowLendReserveStates

> Native Hyperliquid `/info` operation. Returns the reserve states for all borrow/lend markets.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#30
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#30:
    post:
      tags:
        - Hyperliquid
      summary: allBorrowLendReserveStates
      description: >-
        Native Hyperliquid `/info` operation. Returns the reserve states for all
        borrow/lend markets.
      operationId: allBorrowLendReserveStates_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Alchemy
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/HyperliquidInfo_allBorrowLendReserveStates_Request
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HyperliquidInfo_allBorrowLendReserveStates_Response
components:
  schemas:
    HyperliquidInfo_allBorrowLendReserveStates_Request:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - allBorrowLendReserveStates
          default: allBorrowLendReserveStates
          example: allBorrowLendReserveStates
      example:
        type: allBorrowLendReserveStates
    HyperliquidInfo_allBorrowLendReserveStates_Response:
      type: array
      description: >-
        Reserve states as `[tokenIndex, state]` tuples, one per borrow/lend
        market.
      items:
        type: array
        items: {}
      example:
        - - 0
          - borrowYearlyRate: '0.05'
            supplyYearlyRate: '0.0224826396'
            balance: '77476098.3378316611'
            utilization: '0.4996142131'
            oraclePx: '1.0'
            ltv: '0.0'
            totalSupplied: '154832709.2892308235'
            totalBorrowed: '77356622.2180959582'
        - - 150
          - borrowYearlyRate: '0.05'
            supplyYearlyRate: '0.0'
            balance: '6565465.6305424701'
            utilization: '0.0'
            oraclePx: '67.432'
            ltv: '0.5'
            totalSupplied: '6565465.6305424701'
            totalBorrowed: '0.0'
        - - 197
          - borrowYearlyRate: '0.05'
            supplyYearlyRate: '0.0'
            balance: '964.1944510203'
            utilization: '0.0'
            oraclePx: '63956.022'
            ltv: '0.5'
            totalSupplied: '964.1944510203'
            totalBorrowed: '0.0'
        - - 268
          - borrowYearlyRate: '0.05'
            supplyYearlyRate: '0.0207049005'
            balance: '2230282.7090596999'
            utilization: '0.4601089002'
            oraclePx: '0.99924'
            ltv: '0.0'
            totalSupplied: '4130986.19633597'
            totalBorrowed: '1900703.51566218'
        - - 360
          - borrowYearlyRate: '0.05'
            supplyYearlyRate: '0.0175568809'
            balance: '476703.62497033'
            utilization: '0.3901529082'
            oraclePx: '1.0'
            ltv: '0.0'
            totalSupplied: '781676.77523352'
            totalBorrowed: '304973.4671639'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````